org.eclnt.util.chart

## Class TimeBasedChartInfo

- java.lang.Object
- - org.eclnt.util.chart.ChartInfo
  - - org.eclnt.util.chart.TimeBasedChartInfo

-     public class TimeBasedChartInfo
      extends ChartInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeBasedChartInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TimeBasedChart>` | `getCharts()`
    `java.lang.String` | `getDateFormat()`
    `java.util.Date` | `getLowerBound()`
    `java.util.Date` | `getUpperBound()`
    `java.util.List<TimeBasedChartXMarker>` | `getXmarkers()`
    `void` | `setCharts(java.util.List<TimeBasedChart> charts)`
    `void` | `setDateFormat(java.lang.String dateFormat)`
    `void` | `setLowerBound(java.util.Date lowerBound)`
    `void` | `setUpperBound(java.util.Date upperBound)`
    `void` | `setXmarkers(java.util.List<TimeBasedChartXMarker> markers)`

    - ### Methods inherited from class org.eclnt.util.chart.ChartInfo

      `getBackgroundColor, getExtendedLegend, getName, getRangeGridlineColorX, getRangeGridlineColorY, getRenderingOrder, getWithLegend, getWithTooltips, getxAxisName, getXAxisName, getXZoom, getYZoom, setBackgroundColor, setExtendedLegend, setName, setRangeGridlineColorX, setRangeGridlineColorY, setRenderingOrder, setWithLegend, setWithTooltips, setxAxisName, setXAxisName, setXZoom, setYZoom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeBasedChartInfo

          public TimeBasedChartInfo()

  - ### Method Detail

    - #### getLowerBound

          public java.util.Date getLowerBound()

    - #### setLowerBound

          public void setLowerBound(java.util.Date lowerBound)

    - #### getUpperBound

          public java.util.Date getUpperBound()

    - #### setUpperBound

          public void setUpperBound(java.util.Date upperBound)

    - #### getDateFormat

          public java.lang.String getDateFormat()

    - #### setDateFormat

          public void setDateFormat(java.lang.String dateFormat)

    - #### getCharts

          public java.util.List<TimeBasedChart> getCharts()

    - #### setCharts

          public void setCharts(java.util.List<TimeBasedChart> charts)

    - #### getXmarkers

          public java.util.List<TimeBasedChartXMarker> getXmarkers()

    - #### setXmarkers

          public void setXmarkers(java.util.List<TimeBasedChartXMarker> markers)

Copyright © CaptainCasa Gmbh. All Rights Reserved.